---
title: "Trainline API: Journeys Ticket Options | Perceptlayer"
description: "Journeys Ticket Options from Trainline as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/trainline/journeys-ticket-options
---

[APIs](https://perceptlayer.com/apis) / [Trainline](https://perceptlayer.com/apis/trainline) / Journeys Ticket Options

# Trainline: Journeys Ticket Options

Journeys Ticket Options from Trainline as JSON. 1 credit per successful call.

GET `/v1/trainline/journeys-ticket-options`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `search_id` | string | Required | Any |
| `outward_journey_id` | string | Required | Any |
| `inward_journey_id` | string | Optional | Any |
| `currency` | string | Optional | GBP, EUR |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/trainline/journeys-ticket-options" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/trainline?try=journeys-ticket-options#playground) with your own parameters. 1 credit per successful call; failed calls are free.
